#include "MenuTextShowDebug.h"

void MenuTextShowDebug::Step()
{
	if (gameFunc)
	{
		if (gameFunc->GetShowDebug)
		{
			if (gameFunc->GetShowDebug())
				ani.sprite_index = L"show";
			else
				ani.sprite_index = L"hide";
		}
	}
}

std::shared_ptr<Entity> CreateMenuTextShowDebug()
{
	return std::make_shared<MenuTextShowDebug>();
}
